.product__dffff {
    position: relative;
    margin-bottom: 40px;
    padding-top: 10px;
    @include clearfix();

    &__mobile {
        display: block;
    }

    &__sidebar {
        display: none;
    }

    &__media {
        position: relative;

        &--image {
            z-index: 1;
            display: block;
            overflow: hidden;
            position: relative;
            border-radius: 30px;
        }

        &--tag {
            left: 0;
            top: -20px;
            z-index: 10;
            color: $white;
            font-weight: 700;
            display: block;
            padding: 12px 20px;
            font-size: size-rel(18px);
            line-height: size-rel(20px);
            position: absolute;
            background: $blue-light;
            border-radius: 0 22px 0 22px;
            box-shadow: $shadow-100;
        }
    }

    &__info {
        display: flex;
        flex-direction: column;
        padding-top: 20px;

        &--header {
            font-weight: 800;
            line-height: 1.1;
            margin-bottom: 20px;
            font-size: size-rel(34px);
        }

        &--date {
            margin-bottom: 30px;
            font-weight: 600;
            font-size: size-rel(18px);
            line-height: size-rel(20px);
        }

        &--block {
            margin-bottom: 20px;
        }

        &--warning {
            margin-bottom: 30px;
        }

        &--price {
            color: $yellow;
            font-weight: 500;
            margin-bottom: 8px;
            font-size: size-rel(30px);
            line-height: size-rel(56px);
        }

        &--submit {
            margin-bottom: 7px;
        }

        &--label {
            font-weight: 600;
            font-size: size-rel(12px);
            line-height: size-rel(16px);
        }

        &--row {
            display: flex;
            justify-content: space-between;
        }
    }

    &__content {
        padding-top: 60px;

        &--list {
            margin-bottom: 40px;
        }
    }

    @include media-breakpoint-up(md) {

        &__main {
            float: left;
            width: 370px;
        }

        &__sidebar {
            float: right;
            width: 300px;
            display: block;
            main-height: 1px;
        }

        &__mobile {
            display: none;
        }

        &__media {
            grid-area: media;
            align-self: start;
        }

        &__content {
            grid-area: content;
            align-self: start;
            margin-bottom: 80px;
        }

        &__data {
            grid-area: sidebar;
            position: relative;

            &--wrap {
                height: 100%;
                position: relative;
            }

        }

        &__info {
            top: 30px;
            width: 100%;
            position: sticky;
        }
    }

    @include media-breakpoint-up(lg) {

        &__main {
            width: 520px;
        }

        &__sidebar {
            width: 370px;
        }

        &__info {

            &--header {
                font-size: size-rel(40px);
            }

            &--price {
                font-weight: 700;
            }
        }

        &__content {
            padding-top: 40px;
        }
    }

    @include media-breakpoint-up(xl) {

        &__main {
            width: 586px;
        }

        &__sidebar {
            width: 430px;
            float: left;
            margin-left: 50px;
        }

        &__info {
            max-width: 400px;
        }
    }
}
